### Hierarchy

- DeepCopy<OfferShareData>
  - OfferShareData

## Index

### Constructors

- constructor

### Properties

- accepted
- clientId
- clientResponse
- offerOwner
- offerSearchId
- priceId
- worth

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Constructors

### constructor

- new OfferShareData(offerSearchId?: number, clientResponse?: string, priceId?: number): OfferShareData

- - Defined in repository/models/OfferShareData.ts:11

  #### Parameters

  - ##### Default value offerSearchId: number = 0

  - ##### Default value clientResponse: string = ""

  - ##### Default value priceId: number = 0

  #### Returns OfferShareData

## Properties

### accepted

accepted: boolean = false

- Defined in repository/models/OfferShareData.ts:10

### clientId

clientId: string = "0x0"

- Defined in repository/models/OfferShareData.ts:7

### clientResponse

clientResponse: string = ""

- Defined in repository/models/OfferShareData.ts:8

### offerOwner

offerOwner: string = "0x0"

- Defined in repository/models/OfferShareData.ts:6

### offerSearchId

offerSearchId: number = 0

- Defined in repository/models/OfferShareData.ts:5

### priceId

priceId: number

- Defined in repository/models/OfferShareData.ts:11

### worth

worth: string = "0"

- Defined in repository/models/OfferShareData.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferShareData>): OfferShareData

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferShareData>

  #### Returns OfferShareData

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferShareData

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:22

  #### Returns OfferShareData

### Protected getClass

- getClass(): ClassCreator<OfferShareData>

- Overrides DeepCopy.getClass

  - Defined in repository/models/OfferShareData.ts:24

  #### Returns ClassCreator<OfferShareData>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferShareData.ts:20

  #### Returns object

Generated using TypeDoc